### Method

# Gio VolumeMonitor get_volumes

#### Declaration

    GList*
    g_volume_monitor_get_volumes (
      GVolumeMonitor* volume_monitor
    )

#### Description

Gets a list of the volumes on the system.

The returned list should be freed with g_list_free(), after its elements have been unreffed with g_object_unref().

#### Return value

Type: A list of `None`

A `GList` of `GVolume` objects.

The caller of the method takes ownership of the data, and is responsible for freeing it.